---
sidebar_position: 14
---

# Special Win Setup

---

## Overview

Special Wins are high-value reward events in slot games, categorized based on the payout threshold:

| Win Type  | Trigger Threshold     | Visual Preview |
|-----------|-----------------------|----------------|
| **Big Win**   | Medium payout         | ![Big](../img/05-main-scene/special-win-big.png) |
| **Super Win** | High payout           | ![Super](../img/05-main-scene/special-win-super.png) |
| **Mega Win**  | Maximum payout        | ![Mega](../img/05-main-scene/special-win-mega.png) |

Each type delivers increasing visual excitement to highlight significant player rewards.

---

## Implementation

### Core Components

| Component                        | Description                     |
|----------------------------------|---------------------------------|
| `hyper-special-win-initializer` | Initializes the special win system |
| `hyper-present-special-win`     | Controls display and animation flow |
| `hyper-special-win-label-point-effect` | Shows the win amount visually |

![Component Setup](../img/05-main-scene/special-win-in-game.png)

:::tip
Place the Special Win as defined by the game design.
:::


---

### Asset Configuration

#### 1. Static Resources

Store static assets in platform-specific directories:

| Platform | Path | Preview |
|----------|------|---------|
| Desktop  | `assets/textures/desktop/presloads/special-wins` | ![Desktop](../img/05-main-scene/special-win-folder-desktop.png) |
| Mobile   | `assets/textures/mobile/presloads/special-wins`  | ![Mobile](../img/05-main-scene/special-win-folder-mobile.png) |

[View Platform Asset Structure](http://localhost:3000/docs/category/game-asset-structure)

---

#### 2. Animation Setup

##### Animation Naming Convention

Each animation type must follow the defined naming pattern per platform:

- name type:
    - bigwin
    - superwin
    - megawin

![Type Names](../img/05-main-scene/special-win-type-name.png)

##### Step 1: Add Animation Resources

Place animated assets in the following directories:

| Platform | Path | Preview |
|----------|------|---------|
| Desktop  | `assets/textures/desktop/postloads/custom-scale/anim-special-win` | ![Desktop](../img/05-main-scene/special-win-folder-desktop-anim.png) |
| Mobile   | `assets/textures/mobile/postloads/custom-scale/anim-special-win`  | ![Mobile](../img/05-main-scene/special-win-folder-mobile-anim.png) |

##### Step 2: Configure Animation Settings

| Setting         | Example |
|------------------|---------|
| Static Fallback  | ![Static](../img/05-main-scene/special-win-static.png) |
| Loop Animation   | ![Loop](../img/05-main-scene/special-win-loop.png) |

[View Animation Provider Setup](http://localhost:3000/docs/setup-main-game/main-scene/system#animation-provider-setup)

:::tip
Static and animation paths may vary by game. Adjust as needed.
:::

